<template>
  <div class="row fixed-center">
    <div style="margin: 20px; margin-top: 100px; display: flex;
  align-items: center;
  justify-content: center;">
      <div class="card" style="padding: 20px;">
        <form style="margin: 20px" @submit.prevent="submit">
          <p style="padding: 0 20px 0 20px" class="title">Login</p>
          <div class="field">
            <label style="text-align: left;" class="label">CPF</label>
            <div class="control">
              <input class="input is-primary" maxlength="14" v-model="form.cpf" type="text" placeholder="CPF" v-mask="'###.###.###-##'" required>
            </div>
          </div>
          <div class="field">
            <label style="text-align: left;" class="label">Senha</label>
            <div class="control">
              <input class="input is-primary" maxlength="20" v-model="form.senha" type="password" placeholder="Senha">
            </div>
          </div>
          <br>
          <div class="columns is-mobile" style="padding: 20px; display: flex; justify-content: center;">
            <b-button native-type="submit" type="button is-info">Entrar</b-button>
          </div>
        </form>
      </div>
    </div>
  <Footer/>
  </div>
</template>

<script>
import axios from 'axios'
import Footer from '../../Footer.vue'
export default {
  name: 'Login',
  components: {
    Footer
  },
  data () {
    return {
      form: {
        cpf: null,
        senha: null
      }
    }
  },
  methods: {
    submit () {
      this.form.cpf = this.form.cpf.replace(/[^0-9]/g, '')
      axios
        .post(
          'http://localhost:8000/api/login', { cpf: this.form.cpf, senha: this.form.senha }
        )
        .then((response) => {
          if (response.data.tipo === 'erro') {
            this.$buefy.notification.open({
              message: response.data.mensagem,
              type: 'is-danger',
              position: 'is-top-right',
              duration: 4000
            })
          } else {
            localStorage.bemol_dadosUsuario = JSON.stringify(response.data)
            this.$router.push('/usuarios')
          }
        }).catch((error) => {
          this.$buefy.notification.open({
            message: error,
            type: 'is-danger',
            position: 'is-top-right',
            duration: 4000
          })
        })
    }
  },
  mounted () {
    localStorage.removeItem('bemol_dadosUsuario')
  }
}
</script>
